Create a buy quote
curl --request POST \
--url https://api.collectpure.com/execution/v2/buy/quotes \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"items": [
{
"listingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 500000
}
],
"paymentMethod": "<string>",
"selectedOptionalIds": [
"<string>"
]
}
'import requests
url = "https://api.collectpure.com/execution/v2/buy/quotes"
payload = {
"items": [
{
"listingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 500000
}
],
"paymentMethod": "<string>",
"selectedOptionalIds": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [{listingId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', quantity: 500000}],
paymentMethod: '<string>',
selectedOptionalIds: ['<string>']
})
};
fetch('https://api.collectpure.com/execution/v2/buy/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"quoteId": "<string>",
"expiresAt": "<string>",
"refreshedAt": "<string>",
"fees": [
{
"id": "<string>",
"label": "<string>",
"amount": 123,
"rate": 123
}
],
"optionals": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"fee": 123,
"selected": true,
"enabled": true,
"disabledReason": "<string>",
"disclaimer": {
"label": "<string>",
"url": "<string>"
}
}
],
"subtotal": 123,
"total": 123,
"currency": "<string>",
"lineItems": [
{
"id": "<string>",
"quantity": 123,
"price": 123,
"status": "<string>",
"disabled": true,
"error": "<string>",
"product": {
"sku": "<string>",
"title": "<string>"
},
"variant": {
"title": "<string>"
}
}
],
"salesTax": 123,
"availableCount": 123,
"unavailableCount": 123
}
}Execution - Buy
Create a buy quote
Create a new buy quote with the specified items. Returns a quoteId and a pricing snapshot. Promotion codes are previewed via POST /execution/v2/buy/quotes/:quoteId/promotion-preview and applied at execute time. The quote expires in 60 seconds.
Requires role: stytch_admin
Rate limit: 120 requests burst, 60 requests/minute sustained.
POST
/
execution
/
v2
/
buy
/
quotes
Create a buy quote
Authorizations
API key for authentication
Body
application/json
Items to include in the quote
Required array length:
1 - 50 elementsShow child attributes
Show child attributes
'wire_transfer' or a Stripe payment method ID (pm_... or ba_...). Required so the quote includes accurate payment-method-specific fees.
Optional addon IDs to select (e.g. vault_shipping)
Was this page helpful?